<?php	
	session_start();
	
	if (!session_is_registered('usuario')) {

		session_register('usuario');
		$usuario="anonimo";
	}
	if (!session_is_registered('ultimatarea')) {
		session_register('ultimatarea');
		$ultimatarea=0;
	}	
	if (!session_is_registered('ultimatareatiempo')) {
		session_register('ultimatareatiempo');
		$ultimatareatiempo=0;
	}		
	if (!session_is_registered('usuarionombre')) {
		session_register('usuarionombre');
		$usuarionombre="anonimo";
	}	
	if (!session_is_registered('nivelusuario')) {
		session_register('nivelusuario');
		$nivelusuario=4;
	}
	if (!session_is_registered('camaraactiva')) {
		session_register('camaraactiva');
		$camaraactiva=1;
	}
	if (!session_is_registered('camaraactiva_old')) {
		session_register('camaraactiva_old');
		$camaraactiva_old=0;
	}			
	

	
?>
<?php
$permitido=1;
// nivel usuario: 0=ats 1=mod  2=fumigador  3=limitado 4=anonimo. =5 sag.
if (!isset($tarea)) {
  $tarea=0;
}
switch ($tarea) {
case 5:
	break;
case 1:
case 6:
	if ($nivelusuario>2) { $permitido=0; }
	break;	
case 7:
	if ($nivelusuario>1) { $permitido=0; }
	break;

}
if ($permitido!=1) {
?>
<table border="1" width="450" align="center">
    <tr>
        <td width="960" bgcolor="white">
            <p align="center"><span class="titulo"><img src="img/security.gif" width="72" height="72" /></span></p>
            <p align="center" class="textonormal" style="line-height:100%; margin-top:0; margin-bottom:0;">No tiene los permisos para realizar esta función.</p>
            <p align="center" class="textonormal" style="line-height:100%; margin-top:0; margin-bottom:0;"><a href="camara0.php">Volver</a></p>
        </td>
    </tr>
</table>
<p style="line-height:100%; margin-top:0; margin-bottom:0;" align="center"><img src="img/ipage450.gif" width="450" height="15" border="0"></p>
<?php
	ob_flush();
	die();
} // permitido
?>
<?php
	// valida ingreso
	// requiere session.php y $tarea
	$m1=date("H");
	$m2=date("i");
	$m3=date("s");
	$m4=date("m");
	$m5=date("d");
	$m6=date("y");	
	$fechaactual = mktime($m1, $m2, $m3, $m4,$m5,$m6);
	// 15 segundos de retardo para ingresar a la tarea especifica.
	if ($tarea==$ultimatarea && $tarea!="") {
		if ($fechaactual-$ultimatareatiempo<15) {
?>
<table border="1" width="450" align="center">
    <tr>
        <td width="960" bgcolor="white">
            <p align="center"><span class="titulo"><img src="img/ingreso.gif" width="72" height="72" /></span></p>
            <p align="center" class="textonormal" style="line-height:100%; margin-top:0; margin-bottom:0;">Estos datos ya fueron ingresados o no esta disponible de momento.</p>
            <p align="center" class="textonormal" style="line-height:100%; margin-top:0; margin-bottom:0;">Intentelo en unos segundos despues.</p>
            <p align="center" class="textonormal" style="line-height:100%; margin-top:0; margin-bottom:0;"><a href="camara0.php">Volver</a></p>
        </td>
    </tr>
</table>
<p style="line-height:100%; margin-top:0; margin-bottom:0;" align="center"><img src="img/ipage450.gif" width="450" height="15" border="0"></p>
<?php
			ob_flush();
			die();
			}
	}
?>
